package com.hfkj.model;

import com.hfkj.entity.*;

import java.util.Map;

/**
 * 商户基本信息
 * @author hurui
 */
public class MerBasisModel extends BsMer {

    /**
     * 账户信息
     */
    private SecUser account;

    /**
     * 行业类目
     */
    private BsMerIndustry merIndustry;

    /**
     * 经营地区
     */
    private BsMerRegion merRegion;

    /**
     * 商户结算
     */
    private BsMerSettleAcct merSettleAcct;

    /**
     * 商户门店
     */
    private StoreModel storeModel;

    /**
     * 商户进件失败消息
     */
    private Map<String, Object> merContractFailMsg;

    public SecUser getAccount() {
        return account;
    }

    public void setAccount(SecUser account) {
        this.account = account;
    }

    public BsMerIndustry getMerIndustry() {
        return merIndustry;
    }

    public void setMerIndustry(BsMerIndustry merIndustry) {
        this.merIndustry = merIndustry;
    }

    public BsMerRegion getMerRegion() {
        return merRegion;
    }

    public void setMerRegion(BsMerRegion merRegion) {
        this.merRegion = merRegion;
    }

    public BsMerSettleAcct getMerSettleAcct() {
        return merSettleAcct;
    }

    public void setMerSettleAcct(BsMerSettleAcct merSettleAcct) {
        this.merSettleAcct = merSettleAcct;
    }

    public StoreModel getStoreModel() {
        return storeModel;
    }

    public void setStoreModel(StoreModel storeModel) {
        this.storeModel = storeModel;
    }

    public Map<String, Object> getMerContractFailMsg() {
        return merContractFailMsg;
    }

    public void setMerContractFailMsg(Map<String, Object> merContractFailMsg) {
        this.merContractFailMsg = merContractFailMsg;
    }
}
